%global octpkg ncarray

Name:           octave-%{octpkg}
Version:        1.0.4
Release:        2%{?dist}
Summary:        Access NetCDF files as a multi-dimensional array

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/ncarray/
Source0:        http://downloads.sourceforge.net/octave/ncarray-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  octave-devel
Requires:       octave(api) = %{octave_api}
Requires:       octave-netcdf
Requires:       octave-statistics
Requires(post): octave
Requires(postun): octave

%description
Access a single or a collection of NetCDF files as a multi-dimensional array.


%prep
%setup -qcT

%build
%octave_pkg_build -T

%install
%octave_pkg_install

%check
%octave_pkg_check

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%dir %{octpkgdir}
%{octpkgdir}/*.m
%{octpkgdir}/@BaseArray/
%{octpkgdir}/@CatArray/
%{octpkgdir}/@ncArray/
%{octpkgdir}/@ncBaseArray/
%doc %{octpkgdir}/doc-cache
%dir %{octpkgdir}/packinfo
%license %{octpkgdir}/packinfo/COPYING
%{octpkgdir}/packinfo/DESCRIPTION
%{octpkgdir}/packinfo/INDEX
%{octpkgdir}/packinfo/NEWS
%{octpkgdir}/packinfo/on_uninstall.m
%{octpkgdir}/private/


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 15 2017 Orion Poplawski <orion@cora.nwra.com> - 1.0.4-1
- Update to 1.0.4

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 09 2016 Orion Poplawski <orion@cora.nwra.com> - 1.0.3-6
- Rebuild for octave 4.2.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 07 2015 Orion Poplawski <orion@cora.nwra.com> - 1.0.3-4
- Rebuild for octave 4.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 7 2014 Orion Poplawski <orion@cora.nwra.com> 1.0.3-1
- Update to 1.0.3

* Wed Apr 16 2014 Orion Poplawski <orion@cora.nwra.com> 1.0.2-1
- Initial Fedora package
